@echo off
echo                           Battle of the Eras Installation
echo                           ===============================
echo
echo  This installation combines BERAS-A.LIB, BERAS-B.LIB, BERAS-C.LIB into
echo  a self-extracting exe file called BERASD.EXE. It will then execute it
echo  and remove the original 3 parts and BERASD.EXE.
echo  Make sure that you have at least 12 megabytes free for installation.
echo  Note the actual game takes 7 megabytes
if %1=="" goto error
if %2=="" goto error
%1:
cd\
md BERASD
cd BERASD
copy %2:\BERAS-A.LIB 
echo Insert Disk 2
pause
copy %2:\BERAS-B.LIB 
echo Insert Disk 3
pause
copy %2:\BERAS-C.LIB 
copy /b beras-a.lib+BERAS-B.LIB+BERAS-C.LIB BERASD.EXE
echo  Extracting BERASD.EXE
BERASD.EXE
del beras-a.lib
del beras-b.lib
del beras-c.lib
del berasd.exe
install
echo  You may delete BERASD.LIB at your own liberty in case the install.exe
echo  had failed.
goto done
:error
echo Format for 144inst.bat
echo 144inst <destination driveletter> <source driveletter>     it installs
echo to the driveletter and creates a directory called BERASD
echo example: 144inst C A
:done
